
/*
 * gtvg_category.c
 * Copyright (C) Niklas Knutsson 2007 <nq@altern.org>
 * 
 * gtvg_category.c is free software.
 * 
 * You may redistribute it and/or modify it under the terms of the
 * GNU General Public License, as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * gtvg_category.h is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with gtvg_category.h.  If not, write to:
 * 	The Free Software Foundation, Inc.,
 * 	51 Franklin Street, Fifth Floor
 * 	Boston, MA  02110-1301, USA.
 */

#include "gtvg_category.h"

extern void free_list_gchar(gpointer data, gpointer user_data);

struct GtvgCategory *gtvg_category_new(void)
{
	struct GtvgCategory *ch = g_slice_new(struct GtvgCategory);

	gtvg_category_init(ch);
	return ch;
}
void gtvg_category_free(struct GtvgCategory *cat)
{
	gtvg_category_clear(cat);
	g_slice_free(struct GtvgCategory, cat);
}
void gtvg_category_init(struct GtvgCategory *cat)
{
	cat->name = NULL;
	cat->original_names = NULL;
	cat->bg_color = NULL;
	cat->text_color = NULL;
}
void gtvg_category_clear(struct GtvgCategory *cat)
{
	if(cat->name != NULL)
		g_free(cat->name);
	if(cat->bg_color != NULL)
		g_slice_free(GdkColor, cat->bg_color);
	if(cat->text_color != NULL)
		g_slice_free(GdkColor, cat->text_color);
	if(cat->original_names != NULL) {
		g_slist_foreach(cat->original_names, free_list_gchar, NULL);
		g_slist_free(cat->original_names);
	}
	gtvg_category_init(cat);
}
