
/*
 * gtvg_category.h
 * Copyright (C) Niklas Knutsson 2007 <nq@altern.org>
 * 
 * gtvg_category.h is free software.
 * 
 * You may redistribute it and/or modify it under the terms of the
 * GNU General Public License, as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * gtvg_category.h is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with gtvg_category.h.  If not, write to:
 * 	The Free Software Foundation, Inc.,
 * 	51 Franklin Street, Fifth Floor
 * 	Boston, MA  02110-1301, USA.
 */

#ifndef GTVG_CATEGORY_H
#define GTVG_CATEGORY_H

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

struct GtvgCategory {
	gchar *name;
	GSList *original_names;
	GdkColor *bg_color;
	GdkColor *text_color;
};

struct GtvgCategory *gtvg_category_new(void);
void gtvg_category_free(struct GtvgCategory *cat);
void gtvg_category_init(struct GtvgCategory *cat);
void gtvg_category_clear(struct GtvgCategory *cat);

#endif
