
/*
 * gtvg_channel.c
 * Copyright (C) Niklas Knutsson 2007 <nq@altern.org>
 * 
 * gtvg_channel.c is free software.
 * 
 * You may redistribute it and/or modify it under the terms of the
 * GNU General Public License, as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * callbacks.h is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with gtvg_channel.h.  If not, write to:
 * 	The Free Software Foundation, Inc.,
 * 	51 Franklin Street, Fifth Floor
 * 	Boston, MA  02110-1301, USA.
 */

#include "gtvg_channel.h"

struct GtvgChannel *gtvg_channel_new(void)
{
	struct GtvgChannel *ch = g_slice_new(struct GtvgChannel);

	gtvg_channel_init(ch);
	return ch;
}
void gtvg_channel_free(struct GtvgChannel *ch)
{
	gtvg_channel_clear(ch);
	g_slice_free(struct GtvgChannel, ch);
}
void gtvg_channel_init(struct GtvgChannel *ch)
{
	ch->name = NULL;
	ch->icon = NULL;
	ch->iconpath = NULL;
	ch->iconurl = NULL;
	ch->custom_icon = FALSE;
	ch->custom_name = FALSE;
	ch->id = NULL;
	ch->index = -1;
}
void gtvg_channel_clear(struct GtvgChannel *ch)
{
	if(ch->name != NULL)
		g_free(ch->name);
	if(ch->id != NULL)
		g_free(ch->id);
	if(ch->iconpath != NULL)
		g_free(ch->iconpath);
	if(ch->iconurl != NULL)
		g_free(ch->iconurl);
	if(ch->icon != NULL)
		g_object_unref(ch->icon);
	gtvg_channel_init(ch);
}
