
/*
 * gtvg_channel.h
 * Copyright (C) Niklas Knutsson 2007 <nq@altern.org>
 * 
 * gtvg_channel.h is free software.
 * 
 * You may redistribute it and/or modify it under the terms of the
 * GNU General Public License, as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * gtvg_channel.h is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with gtvg_channel.h.  If not, write to:
 * 	The Free Software Foundation, Inc.,
 * 	51 Franklin Street, Fifth Floor
 * 	Boston, MA  02110-1301, USA.
 */

#ifndef GTVG_CHANNEL_H
#define GTVG_CHANNEL_H

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>
#include <gdk-pixbuf/gdk-pixbuf.h>

struct GtvgChannel {
	gchar *id;
	gchar *name;
	GdkPixbuf *icon;
	gchar *iconpath;
	gchar *iconurl;
	gboolean custom_icon;
	gboolean custom_name;
	gint index;
};

struct GtvgChannel *gtvg_channel_new(void);
void gtvg_channel_free(struct GtvgChannel *ch);
void gtvg_channel_init(struct GtvgChannel *ch);
void gtvg_channel_clear(struct GtvgChannel *ch);

#endif
