
/*
 * gtvg_program.h
 * Copyright (C) Niklas Knutsson 2007 <nq@altern.org>
 * 
 * gtvg_program.h is free software.
 * 
 * You may redistribute it and/or modify it under the terms of the
 * GNU General Public License, as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * gtvg_program.h is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with gtvg_program.h.  If not, write to:
 * 	The Free Software Foundation, Inc.,
 * 	51 Franklin Street, Fifth Floor
 * 	Boston, MA  02110-1301, USA.
 */

#ifndef GTVG_PROGRAM_H
#define GTVG_PROGRAM_H

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>
#include <time.h>

#include "gtvg_channel.h"
#include "gtvg_favourite.h"

struct GtvgProgram {
	time_t start;
	time_t stop;
	struct tm start_tm;
	struct tm stop_tm;
	struct GtvgChannel *channel;
	gchar *chid;
	gchar *showview;
	gchar *videoplus;
	gchar *title;
	gchar *subtitle;
	gchar *description;
	gchar *short_description;
	GSList *categories;
	GSList *original_categories;
	gchar *episode;
	gchar *date;
	GSList *directors;
	GSList *actors;
	GSList *writers;
	GSList *adapters;
	GSList *producers;
	GSList *presenters;
	GSList *commentators;
	GSList *guests;
	gchar *language;
	gchar *original_language;
	gchar *length;
	gchar *length_units;
	gchar *country;
	gchar *star_rating;
	gchar *rating;
	gchar *aspect;
	gchar *quality;
	gchar *color;
	gchar *audio_present;
	gchar *audio_stereo;
	gboolean previously_shown;
	gchar *previous_start;
	gchar *previous_chid;
	struct GtvgChannel *previous_channel;
	gboolean new_program;
	GSList *favourites;
	GObject *canvas_rect;
	GObject *canvas_text;
	gboolean canvas_favourite;
};

struct GtvgProgram *gtvg_program_new(void);
void gtvg_program_free(struct GtvgProgram *prog);
void gtvg_program_init(struct GtvgProgram *prog);
void gtvg_program_clear(struct GtvgProgram *prog);

#endif
